<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="HTCOMNET.Main" %>
<%@ Page CodeBehind="Up.aspx.vb" Language="vb" AutoEventWireup="false" Inherits="HTCOMNET.Up" %>
<HTML>
	<HEAD>
		<title>Task frame</title>
		<meta http-equiv="Content-Type" content="text/html; charset=<%=Session(SK_CHARSET)%>">
		<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
		<link rel="stylesheet" href="Scripts<%=JS_CSS_VERSION%>/Style.css" type="text/css">
		<SCRIPT language="JavaScript" src="Scripts<%=JS_CSS_VERSION%>/<%=Session(SK_LANGUAGE).Language%>.js"></SCRIPT>
		<SCRIPT language="JavaScript" src="Scripts<%=JS_CSS_VERSION%>/Main.js"></SCRIPT>
		<SCRIPT language="JavaScript" src="Scripts<%=JS_CSS_VERSION%>/Up.js"></SCRIPT>
	</HEAD>
			
	<body onselectstart="return false;" style="CURSOR: default" oncontextmenu="return false;"
		bgcolor="#ffffff" text="#000000" leftmargin="5" topmargin="2">
		<script language="JavaScript">		
ActiveTheme='<%=JavaFormat(Session(SK_THEME))%>';
Language='<%=JavaFormat(Session(SK_LANGUAGE).Language)%>';
HelpFile='<%=iif(File.exists(CURPATH & "\languages\" & Session(SK_LANGUAGE).Language & ".htm"), JavaFormat(Session(SK_LANGUAGE).Language), "English")%>';
<%TopPart()%>	
<%if Session(SK_DIRECT_DOWNLOAD)=true then %>
vp='<%=JavaFormat(Session(SK_VIRTUAL_PATH))%>';
dd=<%=ASPBooleantoJava(Session(SK_DIRECT_DOWNLOAD))%>;
rbs=<%=ASPBooleantoJava(Session(SK_REPLACE_BACKSLASH))%>;
<%end if%>
CanWrite=<%=ASPBooleantoJava(Session(SK_CURRENT_FOLDER).CanModify)%>;
CanUpload=<%=ASPBooleantoJava(Session(SK_CURRENT_FOLDER).CanUpload)%>;
CanZip=<%=ASPBooleantoJava(Session(SK_CURRENT_FOLDER).CanZip)%>;
CanUnzip=<%=ASPBooleantoJava(Session(SK_CURRENT_FOLDER).CanUnzip)%>;
CanSetAttrib=<%=ASPBooleantoJava(Session(SK_CURRENT_FOLDER).CanSetAttrib)%>;
CanFTP=<%=ASPBooleantoJava(USE_FTP_UPLOAD_DOWNLOAD)%>;
CanFlash8=<%=ASPBooleantoJava(not request.IsSecureConnection AND USE_FLASH8_UPLOAD)%>;
ViewStr='<%=JavaFormat(Session(SK_VIEW_TYPES))%>';
EditStr='<%=JavaFormat(Editable)%>';
CanAddProperties=<%=ASPBooleantoJava(Session(SK_CURRENT_FOLDER).CanAddProperties)%>;
CanReadProperties=<%=ASPBooleantoJava(Session(SK_CURRENT_FOLDER).CanReadProperties)%>;
var allpropmess='<%=JavaFormat(Session(SK_LANGUAGE).GetText("COMMON", "ALL_PROPERTIES"))%>';
		</script>
		<form name="myform">
			<table height="40" border="0" cellspacing="0" cellpadding="0" align="left">
				<tr align="center" valign="middle">
					<td align="left" width="16">&nbsp;<img width="4" height="39" src="images/XP_points.gif"></td>
					<script language="JavaScript">
				drawsrramk('folders', '<%=Session(SK_LANGUAGE).GetText("FOLDERS2")%>', 'open_folders()', '', 27, 27);
				drawStick();
				drawsrramk('up', '<%=Session(SK_LANGUAGE).GetText("COMMON", "LEVEL_UP")%>', 'Up()', 'imgUp', 18, 22);
			<%if  Session(SK_CURRENT_FOLDER).CanModify or Session(SK_CURRENT_FOLDER).CanUpload Then%>
				drawStick();
			<%end if%>
			<%if Session(SK_CURRENT_FOLDER).CanModify or Session(SK_CURRENT_FOLDER).CanUpload Then%>
				<%if Session(SK_SHOW_FOLDERS_TREE) then%>
				drawsrramk('newfolder', '<%=Session(SK_LANGUAGE).GetText("CREATE_NEW_FOLDER")%>', 'createdir()', '', 27, 27);
				<%end if%>
			<%end if%>
			<%if Session(SK_CURRENT_FOLDER).CanModify Then%>				
				<%if Session(SK_SHOW_FOLDERS_TREE) then%>
				drawsrramk('newfile', '<%=Session(SK_LANGUAGE).GetText("CREATE_NEW_FILE")%>', 'createfile()', '', 22, 27);
				<%end if%>
				drawsrramk('rename', '<%=Session(SK_LANGUAGE).GetText("RENAME")%>', 'rename()', 'imgRename', 24, 24);
				drawsrramk('cut', '<%=Session(SK_LANGUAGE).GetText("CUT")%>', 'cut()', 'imgCut', '24', '24');
				drawsrramk('copy', '<%=Session(SK_LANGUAGE).GetText("COPY")%>', 'showcopy()', 'imgCopy', '24', '24');
				drawsrramk('paste', '<%=Session(SK_LANGUAGE).GetText("PASTE")%>', 'paste()', 'imgPaste', '24', '24');
				drawsrramk('delete', '<%=Session(SK_LANGUAGE).GetText("DELETE")%>', 'showdelete()', 'imgDelete', '24', '24');
			<%end if%>
				drawStick()
			<%if  Session(SK_CURRENT_FOLDER).CanUpload Then%>
				drawsrramk('upload', '<%=Session(SK_LANGUAGE).GetText("UPLOAD_FILES")%>', 'open_upload()', '', '25', '25');
			<%end if%>
				drawsrramk('search', '<%=Session(SK_LANGUAGE).GetText("SEARCH_FOR_FILES")%>', 'findfile()', '', '26', '26');
				drawsrramk('refresh', '<%=Session(SK_LANGUAGE).GetText("REFRESH_LIST")%>', 'fresh()', '', '19', '23');
				drawsrramk('themes', '<%=Session(SK_LANGUAGE).GetText("THEMES_AND_SETTINGS")%>', 'open_themes()', '', '27', '27');
				drawsrramk('help', '<%=Session(SK_LANGUAGE).GetText("HELP")%>', 'help()', '', '24', '24');
				drawStick();	
				drawsrramk('logoff', '<%=Session(SK_LANGUAGE).GetText("LOG_OFF")%>', 'logoff()', '', '26', '26');
					</script>
				</tr>
			</table>
		</form>
		<script language="JavaScript">
window.onunload = function(){if(!logoffclick)alert('<%=Session(SK_LANGUAGE).GetText("NEXT_TIME_CLICK_LOGOFF")%>');};
drawdownwin('<font size="2">&nbsp;<font name="ms" id="ms" class="iconsdescription"><%=JavaFormat(String.Format(Session(SK_LANGUAGE).GetText("WELCOME"), Session(SK_USER_NAME)))%></font></font>');
if(window.parent.Tree)
	window.parent.Tree.location.href="Tree.aspx";
window.parent.List.location.href="List.aspx";
		</script>
	</body>
</HTML>
